Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1485199 - [RFE] Please provide an example of 'ManagementNetworkVlandID' parameter with a default value in network-environment.yaml file
Summary: [RFE] Please provide an example of 'ManagementNetworkVlandID' parameter with ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-25 05:23 UTC by Punit Kundal
Modified: 2020-09-10 11:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-19 19:15:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Punit Kundal 2017-08-25 05:23:49 UTC
Description of problem:

In the default network-environment.yaml , we have below examples of setting vlan ID(s) for various isolated networks used in the overcloud:

+++
  InternalApiNetworkVlanID: 20
  StorageNetworkVlanID: 30
  StorageMgmtNetworkVlanID: 40
  TenantNetworkVlanID: 50
  ExternalNetworkVlanID: 10
+++

In the same way, as per the documentation at [1] , we can also have a separate isolated vlan based network for management of the overcloud nodes i.e the Management network. But the parameter "ManagementNetworkVlanID" is not present by default in the network-environment.yaml file 

We already have other configuration parameters related to Management network present in the network-environment.yaml file, as below:

+++
# ManagementNetCidr: 10.0.1.0/24
# ManagementAllocationPools: [{'start': '10.0.1.10', 'end': '10.0.1.50'}]
# ManagementInterfaceDefaultRoute: 10.0.1.1
+++

Even though this particular parameter is present in the nic configuration templates (controller.yaml) and it is also set against a default value:

+++
  ManagementNetworkVlanID:
    default: 60
    description: Vlan ID for the management network traffic.
    type: number
+++

But we generally override these defaults in the network-environment.yaml file, so it would be helpful to keep ManagementNetworkVlanID in the network-environment.yaml file set against a default value as it will make it easy to modify it. 

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html/advanced_overcloud_customization/sect-isolating_networks

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Punit Kundal 2017-08-25 05:25:26 UTC
Hello,

Sorry that I forgot to specify the package version, it is as below:

[stack@instack ~]$ rpm -qa | grep tripleo-heat-templates
openstack-tripleo-heat-templates-6.1.0-2.el7ost.noarch


Thanks and Regards,
Punit

Comment 3 Bob Fournier 2018-04-19 19:15:54 UTC
The management network configuration is handled along with all other networks via the network_data.yaml file in OSP-12+.  The vlan can be defined here
- name: Management
  # Management network is included for backwards-compatibility, but
  # is not enabled or included in any role definitions by default.
  # Include environments/network-management yaml to override, or
  # enable this network and add it to the roles in roles_data.yaml.
  enabled: true 
  vip: false  # Management network does not use VIPs
  name_lower: management
  vlan: 60
  ip_subnet: '10.0.1.0/24'
  allocation_pools: [{'start': '10.0.1.4', 'end': '10.0.1.250'}]
  ipv6_subnet: 'fd00:fd00:fd00:6000::/64'
  ipv6_allocation_pools: [{'start': 'fd00:fd00:fd00:6000::10', 'end': 'fd00:fd00:fd00:6000:ffff:ffff:ffff:fffe'}]


Note You need to log in before you can comment on or make changes to this bug.